Bug 580153 - AvailabilityManagerRemote.getCurrentAvailabilityForResource suggests using getCurrentAvailabilityTypeForResource but it is not in remote interface
Summary: AvailabilityManagerRemote.getCurrentAvailabilityForResource suggests using ge...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: CLI   
(Show other bugs)
Version: 1.3.1
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
: ---
Assignee: John Sanda
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon-sprint11-bugs
TreeView+ depends on / blocked
 
Reported: 2010-04-07 15:26 UTC by Larry O'Leary
Modified: 2010-08-12 16:54 UTC (History)
1 user (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:54:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Larry O'Leary 2010-04-07 15:26:14 UTC
Description of problem:
The JavaDoc for AvailabilityManagerRemote.getCurrentAvailabilityForResource - http://www.redhat.com/docs/en-US/JBoss_ON/2.3/api/remote-api/org/rhq/enterprise/server/measurement/AvailabilityManagerRemote.html#getCurrentAvailabilityForResource(org.rhq.core.domain.auth.Subject,%20int) suggests using getCurrentAvailabilityTypeForResource but this method is not defined in AvailabilityManagerRemote.  The method either should be defined in AvailabilityManagerRemote or the JavaDoc should be updated to prevent confusion.

Version-Release number of selected component (if applicable):
RHQ CLI 1.3.1 Remote API

Comment 1 John Sanda 2010-06-17 20:10:43 UTC
For now I am just removing the reference from the docs because this api is likely to change for the next major release.

Comment 2 Corey Welton 2010-06-22 15:13:56 UTC
[10:56] <@cswiii> jsanda: so what was done re: https://bugzilla.redhat.com/show_bug.cgi?id=580153
[10:57] <@jsanda> i removed the reference to getCurrentAvailabilityTypeForResource in the javadocs
[10:58] <@jsanda> i wasn't sure if i should have just marked that one verified or not
[10:59] <@jsanda> but went with on_qa in case there needs to be further discussion. obviously nothing really there by way of testing

QA Closing.

Comment 3 Corey Welton 2010-08-12 16:54:33 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.